from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XConversionDictionaryList(XInterface, Protocol):
    def getDictionaryContainer(self) -> XNameContainer: ...
    def queryMaxCharCount(self, aLocale: Locale, nConversionDictionaryType: int, eDirection: ConversionDirection) -> int: ...
